Bug 1023545 - [Tooltips] tooltip discrepancy on Virtual Machines tab
[Tooltips] tooltip discrepancy on Virtual Machines tab
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
All Unspecified
unspecified Severity low
: ---
: 3.6.0
Assigned To: Greg Sheremeta
Lukas Svaty
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 13:37 EDT by Greg Sheremeta
Modified: 2016-02-10 14:46 EST (History)
7 users (show)

See Also:
Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:46:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HTML status based tooltip (20.65 KB, image/png)
2013-10-25 13:37 EDT, Greg Sheremeta
no flags Details
GWT DecoratedPopupPanel based tooltip (20.92 KB, image/png)
2013-10-25 13:38 EDT, Greg Sheremeta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 37935 master MERGED userportal, webadmin: convert all grids (Cells) to PatternFly tooltips Never

  None (edit)
Description Greg Sheremeta 2013-10-25 13:37:41 EDT
Created attachment 816238 [details]
HTML status based tooltip

Description of problem:
Most hoverable icons now use a fancy tooltip, but there are still a few around that use HTML status, which is not decorated. On the Virtual Machines tab, each of these is right next to each other, making the problem obvious.

Version-Release number of selected component (if applicable):
N/A, master

How reproducible:
always

Steps to Reproduce:
1. login to WebAdmin
2. Make sure Virtual Machines tab is selected
3. (you must have at least one VM setup)
4. hover over the status icon
5. hover over the type icon

Actual results:
The tooltips displayed have different looks (see attached screenshots)

Expected results:
Tooltips should all look the same

Additional info:
Ideally we'd hunt down all HTML status tooltips and replace them all.
Comment 1 Greg Sheremeta 2013-10-25 13:38:24 EDT
Created attachment 816240 [details]
GWT DecoratedPopupPanel based tooltip
Comment 2 Itamar Heim 2014-01-12 03:43:15 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 3 Lukas Svaty 2015-09-15 10:40:24 EDT
rhevm-webadmin-portal-3.6.0-0.13.master.el6.noarch
Comment 4 Sandro Bonazzola 2015-11-04 06:46:52 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.